aboutsummaryrefslogtreecommitdiffstats
path: root/tests/ci/yardstick-verify
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ci/yardstick-verify')
-rwxr-xr-xtests/ci/yardstick-verify30
1 files changed, 25 insertions, 5 deletions
diff --git a/tests/ci/yardstick-verify b/tests/ci/yardstick-verify
index bdb91003d..eafadf987 100755
--- a/tests/ci/yardstick-verify
+++ b/tests/ci/yardstick-verify
@@ -133,8 +133,21 @@ install_storperf()
exit 1
fi
+ fi
+}
+
+remove_storperf()
+{
+ # remove Storper from huawei-pod1
+ if [ "$NODE_NAME" == "huawei-pod1" ]; then
echo
- echo "========== Installed storperf container =========="
+ echo "========== Removing storperf =========="
+
+ if ! yardstick -d plugin remove plugin/CI/storperf.yaml; then
+ echo "Remove storperf plugin FAILED";
+ exit 1
+ fi
+
fi
}
@@ -267,15 +280,17 @@ password = 0pnfv2015
EOF
local failed=0
+ local start_date
+ local stop_date
if [ ${#SUITE_FILES[@]} -gt 0 ]; then
+ start_date=$(date '+%Y-%m-%d %H:%M:%S')
for suite in ${SUITE_FILES[*]}; do
echo "---------------------------"
echo "Running test suite: $suite"
echo "---------------------------"
-
if ! yardstick task start --suite $suite; then
echo "test suite $suite FAILED";
@@ -293,8 +308,10 @@ EOF
echo "Test result file ${DISPATCHER_FILE_NAME} is not exist"
fi
fi
-
done
+ stop_date=$(date '+%Y-%m-%d %H:%M:%S')
+
+
local sceanrio_status="SUCCESS"
@@ -303,12 +320,14 @@ EOF
fi
curl -i -H 'content-type: application/json' -X POST -d \
"{\"project_name\": \"yardstick\",
+ \"case_name\": \"scenario_status\",
\"pod_name\":\"${NODE_NAME}\",
\"installer\":\"${INSTALLER_TYPE}\",
- \"description\": \"yardstick ci scenario status\",
- \"case_name\": \"scenario_status\",
\"version\":\"${YARDSTICK_BRANCH}\",
\"scenario\":\"${DEPLOY_SCENARIO}\",
+ \"description\": \"yardstick ci scenario status\",
+ \"start_date\":\"${start_date}\",
+ \"stop_date\":\"${stop_date}\",
\"details\":\"${sceanrio_status}\"}" \
${DISPATCHER_HTTP_TARGET}
@@ -422,6 +441,7 @@ main()
install_storperf
run_test
+ remove_storperf
}
main